# Introduction

First off, thank you for considering contributing to `Loading Layout`. It's people like you that make `Loading Layout` such a great tool.

Following these guidelines helps to communicate that you respect the time of the developers managing and developing this open source project. In return, they should reciprocate that respect in addressing your issue, assessing changes, and helping you finalize your pull requests.

`Loading Layout` is an open source project and we love to receive contributions from our community — you! There are many ways to contribute, from writing tutorials or blog posts, improving the documentation, submitting bug reports and feature requests or writing code which can be incorporated into `Loading Layout` itself.

Please use `Discussions` for general Q&A and feature requests. 

# Ground Rules
*Please follow the [Code of Conduct](CODE_OF_CONDUCT.md) at ALL TIMES when interacting with the community!*

**Responsibilities**
* Create issues for any major changes and enhancements that you wish to make. Discuss things transparently and get community feedback.
* Keep feature versions as small as possible, preferably one new feature per version.

# Your First Contribution

Working on your first Pull Request? You can learn how from this *free* series, [How to Contribute to an Open Source Project on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github).

At this point, you're ready to make your changes! Feel free to ask for help; everyone is a beginner at first :smile_cat:

# Getting started

1. Create your own fork of the code
2. Do the changes in your fork
3. Make sure your code builds locally with `./gradlew clean :loading-layout:assembleRelease`
4. Make a PR on the `master` branch.

Please note that we enforce the [official kotlin coding conventions](https://kotlinlang.org/docs/coding-conventions.html).

# How to report a bug
> If you find a security vulnerability, do NOT open an issue. Email `hello@valartech.com` instead.

Please fill out the items mentioned in the Bug Report template! Include as much detail as possible.
